Skip to content
Permalink
Browse files

lib: deprecate _stream_wrap

Its unused by node, and doesn't have a reasonable use outside of node.

See: #25153
See: #16158

PR-URL: #26245
Reviewed-By: Ruben Bridgewater <ruben@bridgewater.de>
Reviewed-By: James M Snell <jasnell@gmail.com>
Reviewed-By: Anna Henningsen <anna@addaleax.net>
Reviewed-By: Matteo Collina <matteo.collina@gmail.com>
Reviewed-By: Tobias Nießen <tniessen@tnie.de>
  • Loading branch information...
sam-github committed Feb 21, 2019
1 parent 6593f77 commit c7e628f8b3b6f2b7dcb2f3d70708454ee66cbf26
Showing with 25 additions and 0 deletions.
  1. +13 −0 doc/api/deprecations.md
  2. +2 −0 lib/_stream_wrap.js
  3. +10 −0 test/parallel/test-warn-stream-wrap.js
@@ -2349,6 +2349,19 @@ Type: Runtime
This property is a reference to the instance itself.
<a id="DEP0XXX"></a>
### DEP0XXX: require('\_stream\_wrap')
<!-- YAML
changes:
- version: REPLACEME
pr-url: https://github.com/nodejs/node/pull/26245
description: Runtime deprecation.
-->
Type: Runtime
The `_stream_wrap` module is deprecated.
[`--pending-deprecation`]: cli.html#cli_pending_deprecation
[`Buffer.allocUnsafeSlow(size)`]: buffer.html#buffer_class_method_buffer_allocunsafeslow_size
[`Buffer.from(array)`]: buffer.html#buffer_class_method_buffer_from_array
@@ -1,3 +1,5 @@
'use strict';

module.exports = require('internal/js_stream_socket');
process.emitWarning('The _stream_wrap module is deprecated.',
'DeprecationWarning', 'DEP0XXX');
@@ -0,0 +1,10 @@
'use strict';

const common = require('../common');

// _stream_wrap is deprecated.

common.expectWarning('DeprecationWarning',
'The _stream_wrap module is deprecated.', 'DEP0XXX');

require('_stream_wrap');

0 comments on commit c7e628f

Please sign in to comment.
You can’t perform that action at this time.